package com.isidroid.c23.data.worker.job

import kotlinx.coroutines.flow.MutableSharedFlow
import kotlinx.coroutines.flow.asSharedFlow
import javax.inject.Inject
import javax.inject.Singleton

@Singleton
internal class SendJobEventCollectorFlow @Inject constructor() {
    private val _eventsFlow = MutableSharedFlow<State>()
    val eventsFlow = _eventsFlow.asSharedFlow()

    class State {

    }
}